<app-navbar></app-navbar>
<div class="d-flex align-items-center flex-column mt-2">

   
                <h2 class="text-center">Jardins</h2>
    
    <mat-accordion class="col-md-5 mt-2">
        <mat-expansion-panel *ngFor="let garden of gardens" (click)="oneGarden = garden">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    <h6>{{garden.name}}</h6>
                </mat-panel-title>
                
                <mat-panel-description>
                    {{garden.location}}
                </mat-panel-description>
                <mat-divider></mat-divider>

            </mat-expansion-panel-header>
          
           
            <app-weather-bloc *ngIf="garden.location" [city]="garden.location" class="mb-2"></app-weather-bloc>
            <mat-divider></mat-divider>
            <mat-list *ngFor="let product of garden.products" >

                <mat-list-item class="d-flex justify-content-center pb-1 mb-2">
                    <h6 class="text-truncate">{{product.name}}</h6>
                </mat-list-item>

                <mat-list-item *ngFor="let advice of product.advices" class="d-flex flex-column">
                    <!-- condition d'affichage des conseils en fonction du moment.js -->
                    <div *ngIf="currentMoment != advice.eventStart"><span class="font-weight-bolder">{{advice.title}}: </span> {{advice.content}}</div>

                </mat-list-item>

                <mat-divider></mat-divider>
            </mat-list>
            <mat-divider></mat-divider>
            <div class="mt-1 d-flex justify-content-between" >
             
                <button mat-button color="primary" class="d-flex flex-row" (click)="deleteGarden()" >Supprimer</button>
                    
                
                <button mat-raised-button color="primary" type="button" (click)="openUpdateForm()"  >Modifier</button>
            </div>
            
        </mat-expansion-panel>
    </mat-accordion>
                <button mat-fab color="primary" id="btnAddGarden" (click)="openForm()" class="align-items-center pb-1 "> <mat-icon>add_circle_outline</mat-icon></button>

</div>